> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Privy webhook

> User lifecycle events from Privy

## POST `/api/webhooks/auth`

Receives Privy webhook events. This endpoint expects an HMAC signature in `x-privy-signature`.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://0.finance/api/webhooks/auth" \
    -H "x-privy-signature: <hex_signature>" \
    -H "Content-Type: application/json" \
    -d '{"type":"user.created","data":{"email":"user@example.com"}}'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "received": true
  }
  ```
</ResponseExample>

<Info>The signature is verified against `PRIVY_WEBHOOK_SECRET`.</Info>
